[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: devel: "Require %{name} = %{version}-%{release}"?



On Thu, 2006-06-01 at 10:11 +0200, Laurent Rineau wrote:
> For a package which ships an alpha/beta/devel version of a library, the actual 
> version of the library is encoded in the release tag (according to the 
> package guidelines). In this case, shouldn't the "devel" sub-package have:
>     Require %{name} = %{version}-%{release}
> instead of the usual:
Usual?

A devel package should always use
Require: %{name} = %{version}-%{release}

>     Require %{name} = %{version}
Such are "Require" is rarely correct, because rpms by default provide
"%{name} = %{version}-%{release}"
and do not provide
"%{name} = %{version}"
unless such a provide had explicitly been added somewhere.

Ralf
 



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]